Bug 1337917 - qemu-kvm-rhev: Only ship /usr/share/qemu-kvm/sgabios.bin on x86
Summary: qemu-kvm-rhev: Only ship /usr/share/qemu-kvm/sgabios.bin on x86
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 13:07 UTC by Andrea Bolognani
Modified: 2016-11-07 21:10 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 21:10:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Description Andrea Bolognani 2016-05-20 13:07:46 UTC
The file it points to is shipped by sgabios-bin, which AFAICT
is only relevant for x86 guests.

aarch64 and ppc64 should not ship that (broken) link.

Comment 3 Miroslav Rezanina 2016-06-06 10:51:15 UTC
Fix included in qemu-kvm-rhev-2.6.0-5.el7

Comment 5 mazhang 2016-06-13 06:33:08 UTC
Test this bug on qemu-kvm-rhev-2.6.0-4.el7.ppc64le.

#  ls  /usr/share/qemu-kvm/sgabios.bin
/usr/share/qemu-kvm/sgabios.bin

# rpm -ql qemu-kvm-rhev-2.6.0-4.el7.ppc64le
/usr/lib/systemd/kvm-setup
/usr/lib/systemd/system-preset/85-kvm.preset
/usr/lib/systemd/system/kvm-setup.service
/usr/lib/udev/rules.d/80-kvm.rules
/usr/libexec/qemu-kvm
/usr/share/qemu-kvm/pxe-e1000.rom
/usr/share/qemu-kvm/pxe-ne2k_pci.rom
/usr/share/qemu-kvm/pxe-pcnet.rom
/usr/share/qemu-kvm/pxe-rtl8139.rom
/usr/share/qemu-kvm/pxe-virtio.rom
/usr/share/qemu-kvm/qemu-icon.bmp
/usr/share/qemu-kvm/qemu_logo_no_text.svg
/usr/share/qemu-kvm/rhel6-e1000.rom
/usr/share/qemu-kvm/rhel6-ne2k_pci.rom
/usr/share/qemu-kvm/rhel6-pcnet.rom
/usr/share/qemu-kvm/rhel6-rtl8139.rom
/usr/share/qemu-kvm/rhel6-virtio.rom
/usr/share/qemu-kvm/sgabios.bin
/usr/share/qemu-kvm/spapr-rtas.bin
/usr/share/qemu-kvm/systemtap/conf.d/qemu_kvm.conf
/usr/share/qemu-kvm/systemtap/script.d/qemu_kvm.stp
/usr/share/qemu-kvm/trace-events
/usr/share/qemu-kvm/vgabios-cirrus.bin
/usr/share/qemu-kvm/vgabios-qxl.bin
/usr/share/qemu-kvm/vgabios-stdvga.bin
/usr/share/qemu-kvm/vgabios-vmware.bin
/usr/share/qemu-kvm/vgabios.bin


Verify this bug on qemu-kvm-rhev-2.6.0-5.el7.ppc64le

# ls /usr/share/qemu-kvm/sgabios.bin
ls: cannot access /usr/share/qemu-kvm/sgabios.bin: No such file or directory

# rpm -ql qemu-kvm-rhev-2.6.0-5.el7.ppc64le
/usr/lib/systemd/kvm-setup
/usr/lib/systemd/system-preset/85-kvm.preset
/usr/lib/systemd/system/kvm-setup.service
/usr/lib/udev/rules.d/80-kvm.rules
/usr/libexec/qemu-kvm
/usr/share/qemu-kvm/pxe-e1000.rom
/usr/share/qemu-kvm/pxe-ne2k_pci.rom
/usr/share/qemu-kvm/pxe-pcnet.rom
/usr/share/qemu-kvm/pxe-rtl8139.rom
/usr/share/qemu-kvm/pxe-virtio.rom
/usr/share/qemu-kvm/qemu-icon.bmp
/usr/share/qemu-kvm/qemu_logo_no_text.svg
/usr/share/qemu-kvm/rhel6-e1000.rom
/usr/share/qemu-kvm/rhel6-ne2k_pci.rom
/usr/share/qemu-kvm/rhel6-pcnet.rom
/usr/share/qemu-kvm/rhel6-rtl8139.rom
/usr/share/qemu-kvm/rhel6-virtio.rom
/usr/share/qemu-kvm/spapr-rtas.bin
/usr/share/qemu-kvm/systemtap/conf.d/qemu_kvm.conf
/usr/share/qemu-kvm/systemtap/script.d/qemu_kvm.stp
/usr/share/qemu-kvm/trace-events
/usr/share/qemu-kvm/vgabios-cirrus.bin
/usr/share/qemu-kvm/vgabios-qxl.bin
/usr/share/qemu-kvm/vgabios-stdvga.bin
/usr/share/qemu-kvm/vgabios-vmware.bin
/usr/share/qemu-kvm/vgabios.bin
/usr/share/systemtap/tapset/qemu-kvm-simpletrace.stp
/usr/share/systemtap/tapset/qemu-kvm.stp

So this bug has been fixed.

Comment 7 errata-xmlrpc 2016-11-07 21:10:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.